# Wallet Integration

## Overview <a href="#overview" id="overview"></a>

Ramper supports many standardized methods, including: `signMessage` , `signTransaction` , `sendTransaction` , `sendToken`

## Example <a href="#example" id="example"></a>

```javascript
import {
  sendToken,
  sendTransaction,
  signMessage,
  signTransaction,
} from "@ramper-v2/multi";
import { CHAIN } from "@ramper-v2/core";
 
...
 
// Initialize Chain
const chain = CHAIN.VICION;
 
// Sign Message
const handleSignMessage = async () => {
  const result = await signMessage({
    message: abc,
    chain,
  });
};
 
// Sign Transaction
const handleSignTransaction = async () => {
  // Please use your own nonce and estimateGas function
  const nonce = await getNonce(publicKey);
  const gasLimit = await estimateGas({
    to: receiver,
    value: //,
  });
 
  const transaction = {
    from: publicKey,
    data: "0x",
    gasLimit: gasLimit.toString(),
    nonce,
    to: receiver,
    value: amount,
  };
  const result = await signTransaction({
    transaction,
    chain,
  });
};
 
// Send Transaction
const handleSendTransaction = async () => {
  // Please use your own nonce and estimateGas function
  const nonce = await getNonce(publicKey);
  const gasLimit = await estimateGas({
    to: receiver,
    value: amount,
  });
 
  const transaction = {
    from: publicKey,
    data: "0x",
    gasLimit: gasLimit.toString(),
    nonce,
    to: receiver,
    value: amount,
  };
  const result = await sendTransaction({
    transaction,
    chain,
  });
};
 
// Send Token
const handleSendToken = async () => {
  const result = await sendToken({
    transaction: {
      from: publicKey,
      to: receiver,
      value: amount,
    },
    symbol: "c98",
    chain,
  });
};
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ramper.xyz/embedded-wallet-sdk/quickstart/for-web-apps/multichain-supported/wallet-integration.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
